Page MenuHomePhabricator

DataTypes should use MediaWiki qunit runner
Closed, InvalidPublic

Description

Instead of maintaining a separate setup, it should use the MediaWiki qunit runner

https://www.mediawiki.org/wiki/Manual:JavaScript_unit_testing

Same as T180171: ArticlePlaceholder should use MediaWiki qunit runner

Details

Related Gerrit Patches:

Event Timeline

Legoktm created this task.Nov 9 2017, 9:40 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptNov 9 2017, 9:40 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
hashar added a subscriber: hashar.Nov 24 2017, 2:21 PM

That has been done by a267be7065f1a2a91b721cf48ff89cc3e2d74318
commit a267be7065f1a2a91b721cf48ff89cc3e2d74318
Author: Leszek Manicki <leszek.manicki@wikimedia.de>
Date: Wed Aug 2 12:48:15 2017 +0200

Run QUnit tests using Karma runner

This includes several changes:
 - custom home-brew test runner is removed in favour of
   using Karma runner.
 - more modern versions of jquery and qunit are used, and
   installed using npm, instead of including copies of
   libs in the git repo. jquery is only used to have access
   to $.extend, and it also works in jquery 3 without changes
   to our code!
 - QUnit-parameterize has no public version (neither official
   npm package neither custom in-house fork used so far) that
   works with QUnit 2, so it has been dropped too. Changes to
   tests are not significant due to small size of the library.
   All previously tested behaviour is still tested.
 - RequireJS, only used for tests, is no longer used,
   Karma config specifies dependencies for tests to run.
 - QUnit tests are run as part of npm test. Bash build script
   is removed.

Change 393235 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] mediawiki/extensions/DataTypes no more needs npm test

https://gerrit.wikimedia.org/r/393235

hashar edited subscribers, added: WMDE-leszek, Addshore; removed: Aklapper.Nov 24 2017, 2:27 PM

mediawiki/extensions/DataTypes is no more a MediaWiki extension but a standalone PHP library.

aefd2b7723e59542414dc3bb66350cef63b61fcd went so far as replacing package.json with a dummy "/bin/true" :D

Change 393235 merged by jenkins-bot:
[integration/config@master] mediawiki/extensions/DataTypes no more needs npm test

https://gerrit.wikimedia.org/r/393235

Addshore closed this task as Invalid.Dec 6 2017, 9:29 AM

This repo is being killed

T180454